responses:
  files:
    filePathIsAnEmptyString: "File path is an empty string"
    filePathIsIncorrectFileDoesNotExist:  "File provided in filepath is incorrect - such file does not exist"
    fileSuccessfullyRemoved: "Files has been successfully removed"
    fileDoesNotExist: 'File does not exist.'
    thereWasAnErrorWhileRemovingFile: 'There was an error while removing the file.'
    thereWasAnErrorWhileRenamingFile: 'There was an error while renaming the file.'
    filenameRemainsTheSame: 'File name remains the same.'
    filenameCannotBeEmpty: 'File name cannot be empty!'
    fileSuccessfullyRename: 'File has been successfully renamed.'
    fileWithThisNameAlreadyExist: 'File with this name already exist.'
    fileYouTryingToMoveDoesNotExist: 'The file You trying to move does not exist.'
    fileWithThisNameAlreadyExistInTargetDirectory: 'File with this name already exists in target directory.'
    fileHasBeenSuccesfullyMoved: "File has been successfully moved"
    filesHasBeenSuccesfullyMoved: "Files has been successfully moved"
    couldNotMoveTheFile: "Could not move the file."
    couldNotMoveSomeFiles: "Could not move some files."
    couldNotTheFiles: "Could not move the files."
    thereWasAnErrorWhileTryingToMoveFile: "There was an error while trying to move file"
    #
    currentUploadTypeIsMissingInRequest: "Current upload type is missing in request."
    targetUploadTypeIsMissingInRequest: "Target upload type is missing in request."
    currentSubdirectoryPathIsMissingInRequest: "Current subdirectory path in module upload dir is missing in request."
    targetSubdirectoryPathIsMissingInRequest: "Target subdirectory path in module upload dir is missing in request."
    cannotCopyDataToTheSameFolderForGivenModule: "Cannot copy data to the same folder for given module."
    currentSubdirectoryDoesNotExist: 'Current subdirectory does not exist.'
    targetSubdirectoryDoesNotExist: 'Target subdirectory does not exist.'
    thereWasAnErrorWhileMovingDataBetweenFolders: 'There was an error while moving files from one folder to another.'
    finishedCopyingData: 'Data has been successfully copied to new directory'
    subdirectoryCurrentPathInModuleUploadDirIsMissingInRequest: "Subdirectory current path in module upload dir is missing in request."
    thereWasAnErrorWhileCopyingAndRemovingDataViaPost: 'Then was an error while copying and removing data.'
    thereWasAnErrorWhileCopyingData: 'Then was an error while copying data.'
    dataHasBeenSuccesfulyCopiedAndRemoved: 'Data has been successfully copied and removed afterward.'
  directories:
    cannotRemoveMainFolder: 'Cannot remove main folder!'
    youNeedToSelectUploadType: 'You need to select upload type!'
    subdirectoryDoesNotExistForThisModule: 'This subdirectory does not exist for selected module.'
    errorWhileRemovingSubdirectory: 'There was and error when trying to remove subdirectory!'
    subdirectoryHasBeenRemove: 'Subdirectory has been successfully removed.'
    subdirectoryNameWillNotChange: "You are trying to change folder name to the same that there already is - action aborted."
    subdirectoryNewNameIsEmptyString: 'New name is an empty string - action aborted'
    subdirectoryCurrentNameIsEmptyString: 'Current name is an empty string - action aborted'
    missingUploadModuleType: 'Upload type is an empty string - action aborted'
    thereWasAnErrorWhileRenamingFolder: 'Exception was thrown while renaming folder.'
    folderNameHasBeenSuccessfullyChanged: 'Folder name has been successfully changed'
    renamedTargetDirectoryDoesNotExist: "Target directory for which You try to change name does not exist"
    subdirectoryWithThisNameDoesNotExist: "Subdirectory with this name does not exist!"
    renamingSubdirectoryWithThisNameAlreadyExist: "Cannot change subdirectory name! Subdirectory with this name already exist."
    thereWasAnErrorWhileCreatingFolder: 'There was an error while trying to create new folder for given module'
    createFoldedThisNameAlreadyExist: 'Subdirectory with this name for selected upload typ already exists.'
    subdirectoryForModuleSuccessfullyCreated: 'Subdirectory for selected module has been successfully created'
    directoryWithThisNameAlreadyExistInTargetFolder: 'Directory with this name already exist in target folder'
    theDirectoryYouTryToMoveDoesNotExist: "The directory that You try to move does not exist"
    directoryHasBeenSuccessfullyMoved: "Directory has been successfully moved"
    cannotMoveModuleMainUploadDir: "Cannot move module main upload dir"
    currentDirectoryPathIsTheSameAsNewPath: "Current directory path is the same as new path"
    cannotMoveFolderInsideItsOwnSubfolder: "Cannot move folder inside its own subfolder"
    #
  tags:
    errorWhileTryingToUpdateTagsViaApi: "There was an error while trying to update tags via api call"
  upload:
    noFilesWereUploaded: 'No files were uploaded'
    tryingToUploadMoreFilesThanAllowedTo: "You are trying to upload more files than You are allowed to!"
    moduleNameIsIncorrect: "Module name is incorrect."
    invalidFileHasBeenSkipped: 'File is invalid, and has been skipped'
    finishedUploading: 'File upload has been successfully finished'
  general:
    missingRequiredParameter: 'Missing request parameter named: '
    missingFormInput: 'Missing form input named: '
    arrayInResponseIsMissingParameterNamed: "Array in response in missing parameter named: "
    invalidParameterValue: "Invalid Parameter Value"
    youAreNotAllowedToCallThisLogic: "You are not allowed to call this logic"
  repositories:
    recordDeletedSuccessfully: 'Record was deleted successfully'
    couldNotDeleteRecord: 'Record could not been deleted'
    recordUpdateSuccess: 'Record has been updated'
    recordUpdateFail: 'Record could not been updated'
    repositoryWithGivenClassNameDoesNotExist: "Repository with given class name does not exist"
  password:
    changeHasBeenCanceled: 'Password change has been canceled due to the field validations!'
  tagger:
    allTagsHaveBeenRemoved: "All tags have been removed."
    noTagsToAdd: "There were no new tags to add"
    tagsHaveBeenCreated: "Tags have been created successfully."
    noTagsToRemove: "There were no tags to remove"
    tagsUpdated: "Tags have been updated successfully"
  notes:
    couldNotFindNoteForId: "Could not find note for id: "
  menu:
    nodeHasBeenRendered: "Menu has been rendered"
    menuNodeWithNameWasNotFound: "Menu node with given name was not found"
    thisModuleNameIsNotMappedToMenuNodePath: "This module name is not mapped to menu node path: "
  lockResource:
    invalidPassword: "Invalid password"
    passwordIsMissing: "Password is missing"
    youAreNotAllowedToSeeThisResource: "You are not allowed to see this resource"
    passwordHasBeenCreated: "Password has been created"
    passwordHasBeenUpdated: "Password has been updated"
    failedToSetLockPassword: "Failed to set lock password"
  todo:
    todoElementStatusHasBeenChanged: 'Todo element status has been changed'
    todoElementStatusCouldNotBeenChanged: 'Todo element status could not been changed'
    allTodoElementsAreDoneTodoIsCompleted: 'All todo elements are done, todo has been marked as completed'
    todoElementUncheckedTodoNoLongerCompleted: 'You have unchecked one of todo elements therefore todo status has been marked as not completed'
    moduleWithSuchNameDoesNotExist: 'Module witch such name does not exist: '